test-job:
  image: node:latest
  stage: test
  rules:
    - if: $CI_MERGE_REQUEST_SOURCE_BRANCH_NAME  !~ /^feature/ 
      when: never
    - if: $CI_MERGE_REQUEST_TARGET_BRANCH_NAME == "develop"
  script:
    - echo "hello"
    - npm run test
    - npm run dev
    - echo $CI_MERGE_REQUEST_SOURCE_BRANCH_NAME